% code for loading and plotting PSMSL data 

%% section 1 - loading data 

% clear all variables from memory
clearvars

% close all figures
close all  

% clears command window 
clc 

% load data 
bakar_monthly = load('bakar_monthly.txt');

%% section 2 - plotting data - first attempt 

% command for opening new figure 
figure 

% plot time on x-axis (bakar_monthly(:,1)) 
% and plot sea level on y-axis
plot(bakar_monthly(:,1),bakar_monthly(:,2))

% add labels to axes 
xlabel('Year') 
ylabel('Sea level height (mm)')

% add title
title('Bakar')

%% Section 3 - keeping only reliable data 
bakar_monthly = bakar_monthly(241:end,1:2); 


%% Section 4 - plotting data - second attempt 

figure 
plot(bakar_monthly(:,1),bakar_monthly(:,2))
xlabel('Year') 
ylabel('Sea level height (mm)')
title('Bakar')

% add the grid 
grid on 


%% Section 5 - prepare time series for further analysis 
% you will need 3-column data; 1st colmun: year; 2nd column: month; 
% 3rd column: sea level height

% year (yyyy) is obtain by rounding down ("floor") the first column of 
% bakar_monthly 
yyyy = floor(bakar_monthly(:,1)); % results with column vector of year values

% month (mm) is obtained as: 
mm = (bakar_monthly(:,1) - yyyy)*12; 
mm = ceil(mm); % results with column vector of month values

% sea level height is in the last column 
msl = bakar_monthly(:,2); % results with column vector of sea level values

% we combine everything into one new variable to be used in further
% analysis
SeaLevel_Station01 = [yyyy,mm,msl]; % matrix (852x3) of year,month,sea level

% save for further use
save Practical_session_2_No1 SeaLevel_Station01













